Subject: Re: bug#44155: Print integers as characters

From: Mattias Engdegård <[email-masked]>
Date: Wed, 4 Nov 2020 17:46:42 +0100

4 nov. 2020 kl. 16.38 skrev Eli Zaretskii <[email-masked]>:

> I'm not sure.  I think we should use something more familiar, or
> explain it in more detail.  We already mention Unicode properties
> elsewhere in the manual, so we could define this in those terms, and
> send the reader there for the details, for example.

Thanks for the review. Please look at the revised patch below with your requested changes.

> I'm not going to argue about this aspect, but just FTR: whether to
> include combining characters is a decision that we make here, it is
> not a necessity.  Because we are perfectly capable of displaying
> combining characters without risking them to become composed with
> surrounding characters: we could either precede them with U+25CC
> DOTTED CIRCLE, or use the technique describe-char-padded-string in
> descr-text.el uses.

No we cannot, because the output must be valid Lisp.